{
  "type": "minecraft:crafting_shaped",
  "key": {
    "#": {
      "item": "minecraft:redstone"
    },
    "=": {
      "tag": "forge:plates/iron"
    },
    "T": {
      "item": "create:railway_casing"
    }
  },
  "pattern": [
    "=",
    "#",
    "T"
  ],
  "result": {
    "item": "railways:track_coupler"
  }
}